List all PaymentAttempts
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>",
"x-client-id: <x-client-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts")
.header("x-client-id", "<x-client-id>")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"advice_code": "",
"amount": "22.01",
"arn": "",
"attempt_id": "PA2095073282377125888",
"attempt_status": "CAPTURE_REQUESTED",
"auth_code": "",
"authentication_data": {
"cvv_result": "",
"avs_result": "",
"three_ds": {
"eci": "",
"cavv": "",
"three_ds_version": "",
"three_ds_cancellation_reason": "",
"three_ds_authentication_status": "",
"ds_transaction_id": ""
}
},
"complete_time": "2026-09-02T16:56:35+08:00",
"create_time": "2026-09-02T16:56:09+08:00",
"currency": "SGD",
"failure_code": "",
"failure_message": "",
"payment_method": {
"tng": {
"flow": "qrcode",
"is_present": false,
"os_type": ""
},
"type": "tng"
},
"refunded_amount": "0",
"rrn": "",
"update_time": "2026-09-02T16:56:35+08:00"
}
],
"total_items": 1038,
"total_pages": 1038
}Payment Attempts
List all PaymentAttempts
Review the attempts made for a payment or locate attempts in a particular state. Filter by payment_intent_id or attempt_status; results are paginated.
GET
/
v2
/
payment
/
payment_attempts
List all PaymentAttempts
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>",
"x-client-id: <x-client-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts")
.header("x-client-id", "<x-client-id>")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"advice_code": "",
"amount": "22.01",
"arn": "",
"attempt_id": "PA2095073282377125888",
"attempt_status": "CAPTURE_REQUESTED",
"auth_code": "",
"authentication_data": {
"cvv_result": "",
"avs_result": "",
"three_ds": {
"eci": "",
"cavv": "",
"three_ds_version": "",
"three_ds_cancellation_reason": "",
"three_ds_authentication_status": "",
"ds_transaction_id": ""
}
},
"complete_time": "2026-09-02T16:56:35+08:00",
"create_time": "2026-09-02T16:56:09+08:00",
"currency": "SGD",
"failure_code": "",
"failure_message": "",
"payment_method": {
"tng": {
"flow": "qrcode",
"is_present": false,
"os_type": ""
},
"type": "tng"
},
"refunded_amount": "0",
"rrn": "",
"update_time": "2026-09-02T16:56:35+08:00"
}
],
"total_items": 1038,
"total_pages": 1038
}Authorizations
The API token for login provided by UQPAY.
Headers
The API client id generated by UQPAY
Query Parameters
The maximum number of items to return per page. This number can be between 1 - 100
Required range:
1 <= x <= 100Example:
10
The page number to retrieve. Page numbering starts at 1.
Required range:
x >= 1Example:
1
Filter payment attempts by payment intent ID
Example:
"PI1234567890123456789"
Filter payment attempts by status.
INITIATED: Created based on the initial request.AUTHENTICATION_REDIRECTED: Waiting for customer identity verification.PENDING_AUTHORIZATION: Pending a final decision from the payment provider.AUTHORIZED: Authorization successfully completed.CAPTURE_REQUESTED: Capture submitted, payment is considered complete.SETTLED: Funds settled from payment provider and received by UQPAY.SUCCEEDED: UQPAY has settled funds to your wallet.CANCELLED: The payment attempt has been cancelled.EXPIRED: Not completed within the allowed time window.FAILED: The payment attempt has failed.
Available options:
INITIATED, AUTHENTICATION_REDIRECTED, PENDING_AUTHORIZATION, AUTHORIZED, CAPTURE_REQUESTED, SETTLED, SUCCEEDED, CANCELLED, EXPIRED, FAILED Example:
"INITIATED"

